<?php
    require_once("./include/class.intimail.php");
    
    if(!$intimail->CheckLogin()){
	header('Location: https://www.intimail.pw/login');
  	exit;
    }
    if(!$intimail->isAdmin($_SESSION['uid'])){
        header('Location: /');
  	exit;   
    }
    
?>

<!DOCTYPE html>
<html>
<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <title>intiMail - Your mail, secure and simple.</title>

    <link href="css/bootstrap.min.css" rel="stylesheet">
    <link href="css/datepicker3.css" rel="stylesheet">
    <link href="css/styles.css" rel="stylesheet">
    <link href="css/bootstrap-table.css" rel="stylesheet">

    <!--[if lt IE 9]>
        <script src="js/html5shiv.js"></script>
        <script src="js/respond.min.js"></script>
    <![endif]-->
</head>


<body>
    <?php include("include/overhead.php"); ?>
		
    <?php include("include/sidebar.php"); ?>
    
    

		
    <div id="content" class="col-sm-9 col-sm-offset-3 col-lg-10 col-lg-offset-2 main">			
	<div class="row">
            <ol class="breadcrumb">
		<li><a href="/"><span class="glyphicon glyphicon-home"></span></a></li>
		<li class="active">Admin Panel</li>
            </ol>
	</div><!--/.row-->
		
	<div class="row">
            <div class="col-lg-12">
		<h1 class="page-header">Administration Panel</h1>
            </div>
	</div><!--/.row-->
		
	<div class="row">
            <div class="col-lg-12">
                <div class="panel panel-default">
                    <div class="panel-heading">Modify a user :</div>
			<div class="panel-body">
                            <form role="form" action="manage" method="post">
                                <div class="col-md-6">
                                    <div class="form-group">
					<label>Existing users :</label>
                                        <select name="user" class="form-control">
                                            <option value=""></option>
						<?php
                                                   $users = $intimail->GetUsersArray();
                                                   for($i=0;$i<sizeof($users);$i++){
                                                       echo "<option value='".$users[$i]['uid']."'>".$users[$i]['fullname']." (uid: ".$users[$i]['uid'].")</option>";
                                                   }
                                                ?>
                                        </select>
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <br><button type="submit" class="btn btn-primary">Go !</button>
                                </div>
                            </form>
                        </div>
                    </div>
            </div>
        </div>
        <div class="row">
            <div class="col-lg-12">
                <div class="col-md-6">
                    <div class="panel panel-default">
                        <div class="panel-heading">Max attachment size</div>
                        <div class="panel-body">
                            <center>
                                <label>Size :</label>
                                <input type="number" name="attachsize" id="size" placeholder="Write the new max size here" value="<?php echo $intimail->attachsize ?>">
                                <p class="help-block"><i>(in bytes, for example 5 Mb = 5000000)</i></p>
                                <button class="btn btn-primary" onclick="changeSize()">Change Size</button>
                            </center>
                        </div>
                    </div>
                </div>
                <div class="col-md-6">
                    <div class="panel panel-default">
                        <div class="panel-heading">Change domain name</div>
                        <div class="panel-body">
                            <center>
                                <label>New domain name :</label>
                                <input type="text" name="domain" id="domain" placeholder="Write the new domain here" value="<?php echo $intimail->fqdn ?>">
                                <p class="help-block"><i>(i.e. intimail.pw)</i></p>
                                <button class="btn btn-primary" onclick="changeDomain()">Change Domain</button>
                            </center>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="row">
            <div class="col-lg-12">
                <div class="panel panel-default">
                    <div class="panel-heading">Create a new account</div>
                    <div class="panel-body">
                        <div class="col-md-6">
                            <label>First name :</label>
                            <input type="text" name="firstname" id = "firstname" placeholder="Write the first name here"><br><br>
                        </div>
                        <div class="col-md-6">
                            <label>Last name :</label>
                            <input type="text" name="lastname" id="lastname" placeholder="Write the last name here"><br><br>
                        </div>
                        <div class="col-md-6">
                            <label>Quota :</label>
                            <input type="number" name="quota" id="quota" placeholder="Write the quota here"><br><br>
                        </div>
                        <div class="col-md-6">
                            <label>Password :</label>
                            <input type="password" name="password" id="password" placeholder="Write the password here"><br><br>
                        </div>
                        <center>
                            <button class="btn btn-primary" onclick="addUser();">Create User</button>
                        </center>
                    </div>
                </div>
            </div>
        </div>
        <div class="row">
            <div class="col-lg-12">
                <div class="col-md-6">
                    <div class="panel panel-default">
                        <div class="panel-heading">Add a group</div>
                        <div class="panel-body">
                            <center>
                                <label>Group name :</label>
                                <input type="text" name="group" id="groupadd" placeholder="Write the group name">
                                <p class="help-block"><i>(i.e. assistants)</i></p>
                                <br><button class="btn btn-primary" onclick="AddGroup()">Add this group</button>
                            </center>
                        </div>
                    </div>
                </div>
                <div class="col-md-6">
                    <div class="panel panel-default">
                        <div class="panel-heading">Remove a group</div>
                        <div class="panel-body">
                            <center>
                                <label>Choose the group to remove :</label>
                                <select name="groupremove" id="grouprem" class="form-control">
                                    <option value=""></option>
                                    <?php
                                        $users = $intimail->GetListsArray();
                                        for($i=0;$i<sizeof($users);$i++){
                                            echo "<option value='".$users[$i]['uid']."'>Group #".($i+1)." : ".$users[$i]['uid']."</option>";
                                        }
                                    ?>
                                </select><br>
                                <button class="btn btn-primary" onclick="RemoveGroup()">Remove this group</button>
                            </center>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        
    </div><!--/.main-->
        
    <script src="js/jquery-1.11.1.min.js"></script>
    <script src="js/bootstrap.min.js"></script>
    <script>
        $(".active").removeClass('active');
        $("#admin").addClass('active'); 
        
        function changeDomain(){
            var domain = $('#domain').val();
            $.post( "changedomain.php", { domain: domain } )
            .done(function( data ) {
                alert( "Data Loaded: " + data );
            });
        }
        function changeSize(){
            var size = $('#size').val();
            $.post( "changesize.php", { size: size } )
            .done(function( data ) {
                alert( "Data Loaded: " + data );
            });
        }
        function addUser(){
            var firstname = $('#firstname').val();
            var lastname = $('#lastname').val();
            var password = $('#password').val();
            var quota = $('#quota').val();            
            $.post( "adduser.php", { firstname: firstname, lastname: lastname, password: password, quota: quota } )
            .done(function( data ) {
                alert( data );
                window.location.replace("https://www.intimail.pw/admin");
            });
        }
        function AddGroup(){
            var groupname = $('#groupadd').val();
            $.post( "listadd", { groupname: groupname } )
            .done(function( data ) {
                alert( data );
                window.location.replace("https://www.intimail.pw/admin");
            });
        }
        function RemoveGroup(){
            var groupname = $('#grouprem option:selected').val();
            $.post( "listrem", { groupname: groupname } )
            .done(function( data ) {
                alert( data );
                window.location.replace("https://www.intimail.pw/admin");
            });
        }
    </script>  
</body>

</html>


