<?php
    require_once("./include/class.intimail.php");
    
    if(!$intimail->CheckLogin()){
	header('Location: https://www.intimail.pw/login');
  	exit;
    }
    
    header('Cache-Control: no-cache');
    header('Pragma: no-cache');
?>

<!DOCTYPE html>
<html>
<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <title>intiMail - Your mail, secure and simple.</title>

    <link href="css/bootstrap.min.css" rel="stylesheet">
    <link href="css/datepicker3.css" rel="stylesheet">
    <link href="css/styles.css" rel="stylesheet">
    <link href="css/bootstrap-table.css" rel="stylesheet">

    <!--[if lt IE 9]>
        <script src="js/html5shiv.js"></script>
        <script src="js/respond.min.js"></script>
    <![endif]-->
</head>



<body>
    <?php include("include/overhead.php"); ?>
		
    <?php include("include/sidebar.php"); ?>
		
    <div id="content" class="col-sm-9 col-sm-offset-3 col-lg-10 col-lg-offset-2 main">			
	<div class="row">
            <ol class="breadcrumb">
		<li><a href="/"><span class="glyphicon glyphicon-home"></span></a></li>
		<li class="active">Overview</li>
            </ol>
	</div><!--/.row-->
		
	<div class="row">
            <div class="col-lg-12">
		<h1 class="page-header">Overview</h1>
            </div>
	</div><!--/.row-->
		
	<div class="row">
            <div class="col-xs-12 col-md-6 col-lg-3">
                <div class="panel panel-blue panel-widget ">
                    <div class="row no-padding">
                        <div class="col-sm-3 col-lg-5 widget-left">
                            <em class="glyphicon glyphicon-envelope glyphicon-l"></em>
			</div>
                        <div class="col-sm-9 col-lg-7 widget-right">
                            <div id='inboxcount' class="large">0</div>
                            <div class="text-muted">Inbox</div>
			</div>
                    </div>
		</div>
            </div>
            <div class="col-xs-12 col-md-6 col-lg-3">
                <div class="panel panel-teal panel-widget">
                    <div class="row no-padding">
			<div class="col-sm-3 col-lg-5 widget-left">
                            <em class="glyphicon glyphicon-trash glyphicon-l"></em>
			</div>
			<div class="col-sm-9 col-lg-7 widget-right">
                            <div id='trashcount' class="large">0</div>
                            <div class="text-muted">In trash</div>
                        </div>
                    </div>
		</div>
            </div>
            <div class="col-xs-6 col-md-3"  onclick="$('#new_mail').modal('show');">
		<div class="panel panel-orange panel-default">
                    <div class="row no-padding">
			<div class="col-sm-3 col-lg-5 widget-left">
                            <em class="glyphicon glyphicon-send glyphicon-l"></em>
			</div>
			<div class="col-sm-9 col-lg-7 widget-right">
                            <div class="large">Write</div>
                            <div class="text-muted">A new mail</div>
			</div>
                    </div>
		</div>
            </div>
            <div class="col-xs-6 col-md-3">
              	<div class="panel panel-default">
                    <div class="panel-body easypiechart-panel">
                        <h4>Disk Space : <?php echo $intimail->CurrentQuota($_SESSION['mailbox']); ?> / <?php $bla = $_SESSION['quota']; $bla = $bla/1000000; echo $bla."M"; ?></h4> <!--PHP Function disk_total_space($string) -->
                        <div class="easypiechart" id="easypiechart-blue" data-percent="<?php $intimail->CurrentQuotaRatio(); ?>" ><span class="percent"><?php $intimail->CurrentQuotaRatio(); echo "%"; ?></span></div>
                    </div>
		</div>
            </div>
	</div><!--/.row-->
		
	<div class="row">
            <div class="col-lg-8">
		<div class="panel panel-default">
                    <div class="panel-heading">Latest emails</div>
                    <div class="panel-body">
                        <table data-toggle="table" data-url="<?php echo 'userdata/'.$_SESSION['mailbox'].'json/inbox.json' ?>" >
			    <thead>
                                <tr>
                                    <th data-field="subject" data-align="center" >Subject</th>
                                    <th class="col-md-3 " data-field="from" data-align="right">From</th>
                                    <th class="col-md-3" data-field="timestamp" data-align="right">Received on</th>
                                    <th class="col-md-1" data-field="size" data-align="right">Size</th>
                                </tr>
			    </thead>
			</table>
                    </div>
		</div>
            </div>
            <div class="col-lg-4">
                <div class="panel panel-red">
                    <div class="panel-heading dark-overlay">
                        <span class="glyphicon glyphicon-calendar"></span>Calendar
                    </div>
                    <div class="panel-body">
                        <div id="calendar"></div>
                    </div>
		</div>
            </div>
	</div><!--/.row-->
		
    </div>	<!--/.main-->
        
    <script src="js/jquery-1.11.1.min.js"></script>
    <script src="js/bootstrap.min.js"></script>
    <script src="js/chart.min.js"></script>
    <script src="js/chart-data.js"></script>
    <script src="js/easypiechart.js"></script>
    <script src="js/easypiechart-data.js"></script>
    <script src="js/bootstrap-datepicker.js"></script>
    <script src="https://www.intimail.pw/js/bootstrap-table.js"></script>
    <script>
	$('#calendar').datepicker({});
            !function ($) {
                $(document).on("click","ul.nav li.parent > a > span.icon", function(){          
		    $(this).find('em:first').toggleClass("glyphicon-minus");      
		}); 
		$(".sidebar span.icon").find('em:first').addClass("glyphicon-plus");
            }(window.jQuery);

            $(window).on('resize', function () {
                if ($(window).width() > 768) $('#sidebar-collapse').collapse('show');
            });
            $(window).on('resize', function () {
                if ($(window).width() <= 767) $('#sidebar-collapse').collapse('hide');
            });
    </script>
    <script>
    function uploadFile() {
            console.log("submit event");
            var fd = new FormData(document.getElementById("fileinfo"));
            fd.append("label", "WEBUPLOAD");
            $.ajax({
              url: "../upload.php",
              type: "POST",
              data: fd,
              enctype: 'multipart/form-data',
              processData: false,  // tell jQuery not to process the data
              contentType: false   // tell jQuery not to set contentType
            }).done(function( data ) {
                console.log("PHP Output:");
                console.log( data );
            });
            return false;
        }
</script>  
    <script>
        function selectView(path,view){
            $(".active").removeClass('active');
            $("#content").load(path);
            $("#"+view).addClass('active');
        }
    </script>
    <?php echo   "   
        <script>
            $.getJSON('userdata/".$_SESSION['mailbox']."json/trash.json', function(data) { $('#trashcount').replaceWith('<div id=\'trashcount\' class=\'large\'>'+data.length)+'</div>';});
            $.getJSON('userdata/".$_SESSION['mailbox']."json/inbox.json', function(data) { $('#inboxcount').replaceWith('<div id=\'inboxcount\' class=\'large\'>'+data.length)+'</div>';});
        </script>"; 
    ?>
</body>

</html>
