<?php
    require_once("./include/class.intimail.php");
    
    if(!$intimail->CheckLogin()){
	header('Location: https://www.intimail.pw/login');
  	exit;
    }
    if(!$intimail->isAdmin($_SESSION['uid'])){
        header('Location: /');
  	exit;
    }
?>

<!DOCTYPE html>
<html>
<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <title>intiMail - Your mail, secure and simple.</title>

    <link href="css/bootstrap.min.css" rel="stylesheet">
    <link href="css/datepicker3.css" rel="stylesheet">
    <link href="css/styles.css" rel="stylesheet">
    <link href="css/bootstrap-table.css" rel="stylesheet">

    <!--[if lt IE 9]>
        <script src="js/html5shiv.js"></script>
        <script src="js/respond.min.js"></script>
    <![endif]-->
</head>


<body>
    <?php include("include/overhead.php"); ?>
		
    <?php include("include/sidebar.php"); ?>
    
    <?php $user = filter_input(INPUT_POST,"user"); ?>
    
    

		
    <div id="content" class="col-sm-9 col-sm-offset-3 col-lg-10 col-lg-offset-2 main">			
	<div class="row">
            <ol class="breadcrumb">
		<li><a href="/"><span class="glyphicon glyphicon-home"></span></a></li>
		<li class="active">Admin Panel</li>
            </ol>
	</div><!--/.row-->
		
	<div class="row">
            <div class="col-lg-12">
		<h1 class="page-header">Administration Panel - <?php echo $user ?></h1>
            </div>
	</div><!--/.row-->
	
        <div class="row">
            <div class="col-lg-12">
                <div class="col-md-6">
                    <div class="panel panel-default">
			<div class="panel-heading">
                            Change User ID
			</div>
                        <div class="panel-body">
                            <center>
                                <label>Change UID :</label>
                                <input type="text" name="uid" id="uid" placeholder="Write the new User ID here"><br><br>
                                <button class="btn btn-primary" onclick="ChangeUID('<?php echo $user ?>')">Change UID</button>
                            </center>
                        </div>
                    </div>
		</div>
			
		<div class="col-md-6">
                    <div class="panel panel-default">
                        <div class="panel-heading">
                            Change User Full Name
			</div>
			<div class="panel-body">
                            <center>
                                <label>Change user's name :</label>
                                <input type="text" name="fulln" id="name" placeholder="Write the new name here"><br><br>
                                <button class="btn btn-primary" onclick="ChangeName('<?php echo $user ?>')">Change Name</button>
                            </center>
                        </div>
                    </div>
		</div>
            </div>
        </div>
        <div class="row">
            <div class="col-lg-12">
                <div class="col-md-6">
                        <div class="panel panel-default">
                            <div class="panel-heading">
                              Change Password
                            </div>
                            <div class="panel-body">
                                <center>
                                    <label>Change user's password :</label>
                                    <input type="password" name="pw" id="password" placeholder="Write the new pass here"><br><br>
                                    <button class="btn btn-primary" onclick="ChangePassword('<?php echo $user ?>')">Change Password</button>
                                </center>
                            </div>
                        </div>
                    </div>
		
                <div class="col-md-6">
                    <div class="panel panel-default">
                        <div class="panel-heading">
                            Change Quota
                        </div>
                        <div class="panel-body">
                            <center>
                                <label>Change user's quota :</label>
                                <input type="number" name="quota" id="quota" placeholder="Write the new quota here"><br><br>
                                <button class="btn btn-primary" onclick="ChangeQuota('<?php echo $user ?>')">Change Quota</button>
                            </center>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        
        <div class="row">
            <div class="col-lg-12">
                <div class="col-md-6">
                        <div class="panel panel-default">
                            <div class="panel-heading">
                              Add user to a group
                            </div>
                            <div class="panel-body">
                                <center>
                                    <label>Choose the group to add to :</label>
                                    <select name="listadd" id="add" class="form-control">
                                        <option value=""></option>
                                        <?php
                                            $users = $intimail->GetListsArray();
                                            for($i=0;$i<sizeof($users);$i++){
                                                echo "<option value='".$users[$i]['uid']."'>Group #".($i+1)." : ".$users[$i]['uid']."</option>";
                                            }
                                        ?>
                                    </select><br>
                                    <button class="btn btn-primary" onclick="AddToList('<?php echo $user ?>')">Add <?php echo $user ?> to this list</button>
                                </center>
                            </div>
                        </div>
                    </div>
		
                <div class="col-md-6">
                    <div class="panel panel-default">
                        <div class="panel-heading">
                            Remove user from group
                        </div>
                        <div class="panel-body">
                            <center>
                                <label>Choose the group to remove user from :</label>
                                <select name="listremove" id="remove" class="form-control">
                                    <option value=""></option>
                                    <?php
                                        $users = $intimail->GetListsArray();
                                        for($i=0;$i<sizeof($users);$i++){
                                            echo "<option value='".$users[$i]['uid']."'>Group #".($i+1)." : ".$users[$i]['uid']."</option>";
                                        }
                                    ?>
                                </select><br>
                                <button class="btn btn-primary" onclick="RemoveFromList('<?php echo $user ?>')">Remove <?php echo $user ?> from this list</button>
                            </center>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        
        <div class="row">
            <div class="col-lg-12">
                <div class="panel panel-red">
                    <div class="panel-heading dark-overlay">Delete account</div>
                    <div class="panel-body">
                        <center>
                            <span class="input-group-btn">
                                <button class="btn btn-danger btn-md" id="delete" onclick="DeleteUser('<?php echo $user ?>')">Yes, I want to delete <?php echo $user ?></button>
                            </span>
                        </center>
                    </div>
		</div>
            </div>
        </div>
    </div>
    
    
    
    <script src="js/jquery-1.11.1.min.js"></script>
    <script src="js/bootstrap.min.js"></script>
    <script>
        $(".active").removeClass('active');
        $("#admin").addClass('active');
        
        function DeleteUser(uid){
            if(confirm('Are you sure you want to delete this account ?\nThis cannot be undone.')){
                $.post( "deleteuser.php", { uid: uid } )
                .done(function( data ) {
                    alert( "Data Loaded: " + data );
                    window.location.replace("https://www.intimail.pw/admin");
                });
            }
        }
        
        function ChangeUID(user){
            if(confirm("Are you sure you want to change this account's UID ?\nThis cannot be undone.")){
                var uid = $('#uid').val();
                $.post( "modifyuser.php", { newuid: uid, uid: user } )
                .done(function( data ) {
                    alert( "Data Loaded: " + data ); 
                    //window.location.replace("https://www.intimail.pw/admin");
                });
            }
            return false;
        }
        
        function ChangeName(uid){
            if(confirm("Are you sure you want to change this account's name ?")){
                var name = $('#name').val();
                $.post( "modifyuser.php", { name: name, uid: uid } )
                .done(function( data ) {
                    alert( "Data Loaded: " + data ); 
                    //window.location.replace("https://www.intimail.pw/admin");
                });
            }
            return false;
        }
        
        function ChangePassword(uid){
            if(confirm("Are you sure you want to change this account's password ?\nThis cannot be undone.")){
                var password = $('#password').val();
                $.post( "modifyuser.php", { password: password, uid: uid } )
                .done(function( data ) {
                    alert( "Data Loaded: " + data ); 
                    //window.location.replace("https://www.intimail.pw/admin");
                });
            }
            return false;
        }
 
        function ChangeQuota(uid){
            if(confirm("Are you sure you want to change this account's quota ?")){
                var quota = $('#quota').val();
                $.post( "modifyuser.php", { quota: quota, uid: uid } )
                .done(function( data ) {
                    alert( "Data Loaded: " + data ); 
                    //window.location.replace("https://www.intimail.pw/admin");
                });
            }
            return false;
        }
        
        function AddToList(uid){
            var list = $('#add option:selected').val();
            $.post( "listadduser.php", { uid: uid, list: list } )
                .done(function( data ) {
                    alert( "Data Loaded: " + data ); 
                });
        }
        
        function RemoveFromList(uid){
            var list = $('#remove option:selected').val();
            $.post( "listremuser.php", { uid: uid, list: list } )
                .done(function( data ) {
                    alert( "Data Loaded: " + data ); 
                });
        }  
    </script>  
</body>

</html>


