<?php
    require_once("./include/class.intimail.php");
    
    if(!$intimail->CheckLogin()){
	header('Location: https://www.intimail.pw/login');
  	exit;
    }
?>

<!DOCTYPE html>
<html>
<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <title>intiMail - Your mail, secure and simple.</title>

    <link href="css/bootstrap.min.css" rel="stylesheet">
    <link href="css/datepicker3.css" rel="stylesheet">
    <link href="css/styles.css" rel="stylesheet">
    <link href="css/bootstrap-table.css" rel="stylesheet">

    <!--[if lt IE 9]>
        <script src="js/html5shiv.js"></script>
        <script src="js/respond.min.js"></script>
    <![endif]-->
</head>


<body>
    <?php include("include/overhead.php"); ?>
		
    <?php include("include/sidebar.php"); ?>
    
    

		
    <div id="content" class="col-sm-9 col-sm-offset-3 col-lg-10 col-lg-offset-2 main">			
	<div class="row">
            <ol class="breadcrumb">
		<li><a href="/"><span class="glyphicon glyphicon-home"></span></a></li>
		<li class="active">Writing a new mail</li>
            </ol>
	</div><!--/.row-->
		
	<div class="row">
            <div class="col-lg-12">
		<h1 class="page-header">New mail</h1>
            </div>
	</div><!--/.row-->
		
	<div class="row">
            <div class="col-lg-12">
                <!--<form enctype="multipart/form-data">-->
                    <div class="form-group">
                        <label for="recipient-name" class="control-label">Recipient:</label>
                        <input type="text" class="form-control" id="recipient" placeholder="Who do you want to send this email to ?" required>
                    </div>
                    <div class="form-group">
                        <label for="subject-text" class="control-label">Subject:</label>
                        <input type="text" class="form-control" id="subject" placeholder="What's the subject of your email ?" required>
                    </div>
                    <form method="post" id="fileinfo" name="fileinfo" >
                        <label>Attach a file:</label><br>
                        <input type="file" name="file" /> (Accepted : .jpg, .png, .gif, .pdf, .zip)
                    </form><br>
                    <div class="form-group">
                        <label for="message-text" class="control-label">Message:</label>
                        <textarea class="form-control" id="message" rows="8" placeholder="Write your email here" required></textarea>
                    </div>
                <!--</form>-->
                <button type="button" class="btn btn-primary" onclick="return sendMail();">Send message</button>
            </div>
        </div>
        
    </div><!--/.main-->
        
    <script src="js/jquery-1.11.1.min.js"></script>
    <script src="js/bootstrap.min.js"></script>
    <script>
        $(".active").removeClass('active');
        $("#new").addClass('active');
        
        function selectView(path,view){
            $(".active").removeClass('active');
            $("#content").load(path);
            $("#"+view).addClass('active');
        }
        
        function sendMail(){
            var from = "<?php echo $_SESSION['mail']; ?>";
            var fullname = "<?php echo $_SESSION['fullname']; ?>";
            var mailbox = "<?php echo $_SESSION['mailbox']; ?>";
            var domain = "<?php echo $intimail->fqdn; ?>";
            var rcpt = $("#recipient").val();
            var subject = $("#subject").val();
            var msg = $("#message").val();
            var fd = new FormData(document.getElementById("fileinfo"));
            fd.append("label", domain+'-'+from+'-');
            fd.append("rcpt",rcpt);
            fd.append("sender",from);
            fd.append("subject",subject);
            fd.append("msg",msg);
            fd.append("fullname",fullname);
            fd.append("mailbox",mailbox);
            $.ajax({
                url : 'sendmail.php',
                type : 'POST',
                data : fd,
                enctype: 'multipart/form-data',
                processData: false,  // tell jQuery not to process the data
                contentType: false   // tell jQuery not to set contentType
            })
            .done(function( msg ) {
                console.log(msg);
                alert("Message sent !");
            });;
            return false;
        };      
    </script>  
</body>

</html>


